# -*- coding: utf-8 -*-
import sys
from PyQt5.QtCore import Qt
from PyQt5 import QtWidgets
from PyQt5.QtWidgets import QApplication, QLabel, QAction, QMainWindow, QMenu


class Window( QMainWindow ):

    def __init__(self, parent=None):
        """Initializer."""
        super().__init__(parent)
        self.setWindowTitle("Python PopupMenu")
        self.resize(400, 200)
        self.centralWidget = QLabel("Hello, World")
        self.centralWidget.setAlignment(Qt.AlignHCenter | Qt.AlignVCenter)
        self.setCentralWidget(self.centralWidget)

    def contextMenuEvent(self, event):
        # Creating a menu object with the central widget as parent
        menu = QMenu(self.centralWidget)
        # Populating the menu with actions
        exAction = QAction('Пункт 1', self)
        exAction.triggered.connect(self.popupMenu1)
        
        menu.addAction(exAction)
        menu.addAction('Пункт 2')
        menu.addAction('Пункт 3')
        menu.addAction('Пункт 4')
        menu.addAction('Пункт 5')
        menu.addAction('Пункт 6')
        # Launching the menu
        menu.exec(event.globalPos())

    def popupMenu1(self):
        QtWidgets.QMessageBox.information(None, "Сообщение", "Выбран пункт 1", QtWidgets.QMessageBox.Close)


if __name__ == '__main__':
    app = QApplication(sys.argv)
    win = Window()
    win.show()
    sys.exit(app.exec_())
